Subject: [os2genau_digest] No. 1755
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 8 Dec 2008 00:01:05 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 07 December 2008
 Number  1755
**************************************************

Subjects for today
 
1  Re:  Java programming : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  Java programming : Ian Manners" <deadmail>
3   Removing a BIOS password : Peter Moylan <peter at pmoylan dot org>
4  Re:  Removing a BIOS password : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
5  Re:  Removing a BIOS password : Ed Durrant <edurrant at durrant dot mine dot nu>
6  Re:  Removing a BIOS password : Ian Manners" <deadmail>
7  Re:  Removing a BIOS password : Chuck McKinnis <mckinnis at sandia dot net>
8  Re:  Removing a BIOS password : Mike O'Connor <mikeoc at internode.on dot net>
9  Re:  Removing a BIOS password : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Sat, 06 Dec 2008 07:29:14 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Java programming

Peter Moylan wrote:
> Voytek Eymont wrote:
>> <quote who="Peter Moylan">
>>
>>  
>>> reference at all to the latest installed version, namely version 1.4.2.
>>>     
>>
>> where does one get 1.4.2 ?
>> I'm still on 1.3.1 (I think)
>>   
> I think version 1.4.2 was distributed with eCS version 1.2. Presumably 
> it can be downloaded from the eCS web site. It's possible, though, that 
> you can't access it unless you have an active eCS support subscription.

If you can log in at www.ecomstation dot com, both 1.4.2 and 1.3.1 are 
available for download (no subscription required).  Search your 
downloads for "java".

> 
> Not that it matters. I have version 1.4.2 on my hard disk, but as noted 
> elsethread I think that the executables that are actually invoked are 
> the 1.3.1 ones, and the library files are from version 1.1. In other 
> words, people who have version 1.4.2 installed are not actually using 
> it; they're using older versions.
> 
> I've also discovered that Sun has pulled a Microsoft trick. The text 
> from which I'm learning the language insists that you need version 5.0 
> of Java (or better). It seems, however, that "version 5.0" really means 
> "version 1.5.0". They renumbered to make the numbers look better, just 
> as Windows NT was first released as version 3.51 (to give it a higher 
> number than "Warp 3").
>>
>>  
>>> (c) the bugs have never been found because nobody has
>>> ever used Java for OS/2.
>>> If anyone can point me to a counterexample to (c), I'd be grateful.
>>>     
>>
>> JStreet then PolarBar Mailer
>> also, TCPIP config tool
>> and, sync tool for palm from Brad
>>
>> JStreet/PolarBar is a fully featured mail client
>>
>>   
> Yes, but those are applications that, as far as I know, were first 
> developed on other operating systems before being ported to OS/2. What 
> I'm interested in finding out is whether any existing Java application 
> was developed on OS/2 before being ported to another system. I guess 
> that the TCP/IP config tool qualifies, but I think that that's a Java 
> 1.1 application. Now that I think of it, the palm sync tool might also 
> qualify, but again I think it's a Java 1.1 application.
> 
>  From what I've deduced from CONFIG.SYS, it still looks to me as if 
> nobody has ever debugged the most recent OS/2 versions of Java. The 
> environment variables in CONFIG.SYS suggest to me that version 1.1 was 
> tested, but that nobody bothered to check the updates.
> 

-- 
Chuck McKinnis
1449 State Highway 14 N
Sandia Park, NM 87047
505-286-3191
http://www.7cities dot net/~mckinnis/
But even the very hairs of your head are all numbered. Fear not 
therefore:  ye are of more value than many sparrows. Luke 12:7

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 07 Dec 2008 03:22:42 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Java programming

>>> where does one get 1.4.2 ?

Search and ye shall find, I've had em here since the date
on the files.

<http://www.os2site.com/sw/dev/java/index.html>
But feel free to get them from ecomstation dot com that way
I dont have to worry about the D/L speeds.

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Sun, 07 Dec 2008 14:57:35 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Removing a BIOS password

I want to change the boot sequence of a PC which is so old that nobody 
remembers the BIOS password. How do I bypass that password? I've tried 
removing a battery from the motherboard - I'm guessing it's the one that 
powers the BIOS ROM, since there's no other good reason to have a 
battery on the motherboard - but the BIOS still asks for the password on 
bootup, so my memory that that would fix it must be false.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 07 Dec 2008 15:10:45 +1100
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Removing a BIOS password

Hi,

You have to remove battery AND the AC power for some time.
This may vary depending on the brand, I fiddled with a Dell problem box 
that took more than 20 minutes once.

Or, there will be a set of jumpers near the battery that you may have to 
briefly short together, or remove an existing jumper and relocate 
temporarily to another pair.  Again you must have the AC power turned 
off at the wall.

I have (with no AC power) removed the battery and temporarily bridged 
the battery holder connections.  Then refit the battery, turn on
AC power and reset bios to defaults etc.

If the motherboard is an IBM/server brand, the info in the chip may not 
be held in a battery controlled rom chip and you may be stuffed.

Hope one of the suggestions works for you.

HTH,
Regards,
Robert Traynor (BobT).
7 December 2008   15:04

On Sun, 07 Dec 2008 14:57:35 +1100, Peter Moylan wrote:

> I want to change the boot sequence of a PC which is so old that nobody 
> remembers the BIOS password. How do I bypass that password? I've tried 
> removing a battery from the motherboard - I'm guessing it's the one that 
> powers the BIOS ROM, since there's no other good reason to have a 
> battery on the motherboard - but the BIOS still asks for the password on 
> bootup, so my memory that that would fix it must be false.
> 
> -- 
> Peter Moylan                          peter at pmoylan dot org
>                                       http://www.pmoylan dot org

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \   email    rtraynor at optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 07 Dec 2008 15:36:17 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Removing a BIOS password

Peter Moylan wrote:
> I want to change the boot sequence of a PC which is so old that nobody 
> remembers the BIOS password. How do I bypass that password? I've tried 
> removing a battery from the motherboard - I'm guessing it's the one 
> that powers the BIOS ROM, since there's no other good reason to have a 
> battery on the motherboard - but the BIOS still asks for the password 
> on bootup, so my memory that that would fix it must be false.
>
You need to look for the "clear cmos" jumper on the motherboard.
Put the battery back.
Set the jumper to clear CMOS.
turn the PC on and wait about 30 seconds.
turn the PC off
move the jumper back to its original position
power on the PC again.

If this is a laptop (e.g. thinkpad) the password cannot be reset using 
this method, the machine has to be returned to the factory to be reset.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 07 Dec 2008 15:46:31 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Removing a BIOS password

>battery on the motherboard - but the BIOS still asks for the password on 
>bootup, so my memory that that would fix it must be false.

<http://www.uktsupport.co.uk/reference/biosp.htm>

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   7 ==========================**

Date:  Sat, 06 Dec 2008 22:06:34 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Removing a BIOS password

Ed Durrant wrote:
> Peter Moylan wrote:
>> I want to change the boot sequence of a PC which is so old that nobody 
>> remembers the BIOS password. How do I bypass that password? I've tried 
>> removing a battery from the motherboard - I'm guessing it's the one 
>> that powers the BIOS ROM, since there's no other good reason to have a 
>> battery on the motherboard - but the BIOS still asks for the password 
>> on bootup, so my memory that that would fix it must be false.
>>
> You need to look for the "clear cmos" jumper on the motherboard.
> Put the battery back.
> Set the jumper to clear CMOS.
> turn the PC on and wait about 30 seconds.
> turn the PC off
> move the jumper back to its original position
> power on the PC again.
> 
> If this is a laptop (e.g. thinkpad) the password cannot be reset using 
> this method, the machine has to be returned to the factory to be reset.
> 
> Cheers/2
> 
> Ed.

On Thinkpads the power on password (POP) can be cleared, the supervisor 
password (SVP) cannot.

 From the maintenance manual:

Attention: If the SVP has been forgotten and cannot be
made available to the servicer, there is no service
procedure to reset the password. The system board must
be replaced for a scheduled fee.

How to remove the power-on password
To remove a POP that you have forgotten, do the
following:

(A) If no SVP has been set:
1. Turn off the computer.
2. Remove the battery pack.
     For how to remove the battery pack, see “1010 Battery
     pack for 14.1-in. LCD models” on page 71.
3. Remove the backup battery.
     For how to remove the backup battery, see “1140
     Backup battery for 14.1-in. LCD models” on page 106.
4. Turn on the computer and wait until the POST ends.
     After the POST ends, the password prompt does not
     appear. The POP has been removed.
5. Reinstall the backup battery and the battery pack.

-- 
Chuck McKinnis
1449 State Highway 14 N
Sandia Park, NM 87047
505-286-3191
http://www.7cities dot net/~mckinnis/
Look unto me, and be ye saved, all the ends of the earth: for I am God, 
and there is none else. Isaiah 45:22

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sun, 07 Dec 2008 15:12:17 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Removing a BIOS password

Ian Manners wrote:
> <http://www.uktsupport.co.uk/reference/biosp.htm>
Hi Ian,

That's a very useful page!

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Sun, 07 Dec 2008 16:21:09 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Removing a BIOS password

Peter Moylan wrote:
> I want to change the boot sequence of a PC which is so old that nobody 
> remembers the BIOS password. How do I bypass that password? I've tried 
> removing a battery from the motherboard - I'm guessing it's the one 
> that powers the BIOS ROM, since there's no other good reason to have a 
> battery on the motherboard - but the BIOS still asks for the password 
> on bootup, so my memory that that would fix it must be false.
>
Thanks to all who answered. The solution turned out to be:
 1. Remove battery.
 2. Mow the back lawn.
 3. Restart computer.

That is, a time delay was needed, presumably to let a capacitor 
discharge. Since the front lawn still has to be done, I'll leave step 4 
until this evening.

Thinking about it, I can recall a number of examples of people being 
locked out of their own computer because of the BIOS password, but no 
examples of people who were protected by the password. (Thieves are 
probably more used to resetting the password than the average user is.) 
Security measures don't always make a system more secure.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------